groupadd -g 40 mysql
useradd -c "MySQL Server" -d /var/lib/mysql -g mysql -s /bin/false -u 40 mysql
mysql_install_db --basedir=/usr --datadir=/var/lib/mysql --user=mysql >/dev/null 2>&1
chown -R mysql:mysql /var/lib/mysql

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.mysqld.new:
if [ -e etc/rc.d/rc.mysqld ]; then
  cp -a etc/rc.d/rc.mysqld etc/rc.d/rc.mysqld.new.incoming
  cat etc/rc.d/rc.mysqld.new > etc/rc.d/rc.mysqld.new.incoming
  mv etc/rc.d/rc.mysqld.new.incoming etc/rc.d/rc.mysqld.new
fi

config etc/rc.d/rc.mysqld.new


( cd usr/lib64/mysql ; rm -rf libmysqld.so.20 )
( cd usr/lib64/mysql ; ln -sf libmysqld.so.20.0.0 libmysqld.so.20 )
( cd usr/lib64/mysql ; rm -rf libmysqld.so )
( cd usr/lib64/mysql ; ln -sf libmysqld.so.20 libmysqld.so )
( cd usr/lib64/mysql ; rm -rf libmysqlclient.so.20 )
( cd usr/lib64/mysql ; ln -sf libmysqlclient.so.20.3.5 libmysqlclient.so.20 )
( cd usr/lib64/mysql ; rm -rf libmysqlclient.so )
( cd usr/lib64/mysql ; ln -sf libmysqlclient.so.20 libmysqlclient.so )
( cd usr/lib64 ; rm -rf libmysqlclient.so.20 )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient.so.20 libmysqlclient.so.20 )
( cd usr/lib64 ; rm -rf libmysqlclient.so )
( cd usr/lib64 ; ln -sf mysql/libmysqlclient.so libmysqlclient.so )
